Announcement

Collapse
No announcement yet.

ERROR A Task was cancelled

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • ramans
    started a topic ERROR A Task was cancelled

    ERROR A Task was cancelled

    I see in the HS3 log file that I get an error - ERROR A task was cancelled - every few minutes to seconds apart. I don't know when the error started and I don't know how to clear up the problem. Does anyone know about this error?

    I have the RPi-3 version of HS3 (Linux) with two Ecobee Lites installed on the system. Everything else appears to be working fine.

    Thanks for any assistance.

  • B1Trash
    replied
    Well that took an hour and a half! I used instructions from here:


    https://helpdesk.homeseer.com/articl...e-to-mono-5-12

    and here:

    https://forums.homeseer.com/forum/ho...vb-net-scripts

    I now have mono 5.16:

    ~ $ mono --version
    Mono JIT compiler version 5.16.0.179 (tarball Thu Oct 4 13:39:39 UTC 2018)

    I have reauthorized my ecobee and am back online.

    Thanks Spud! I know this must have been a frustrating week for you.

    Cheers,
    -Jon

    Leave a comment:


  • B1Trash
    replied
    There it is...

    Mono JIT compiler version 4.5.1 (master/9db20c4 Fri May 13 15:41:42 EDT 2016)

    I'll get cracking on updating it.

    Leave a comment:


  • mattgam
    replied
    Well that went surprisingly smoothly. I upgraded to mono 4.8.0 and everything is working fine now with the ecobee plugin. Thank you for the help

    Leave a comment:


  • mattgam
    replied
    Ugh for me too. I'm running Mono JIT compiler version 4.2.1. I'll say a few prayers and upgrade mono

    Leave a comment:


  • B1Trash
    replied
    Ugh

    Leave a comment:


  • zwolfpack
    replied
    Originally posted by spud View Post
    Ecobee server now requires TLS 1.2, and it looks like it's only supported in mono version 4.8 or later.
    FYI - current HS3-Pi download, hspi3_image_091218.zip, comes with mono 4.6.2.

    Leave a comment:


  • B1Trash
    replied
    I'll have to check tomorrow... I don't have access today. Thanks for looking into it!

    Leave a comment:


  • spud
    replied
    What version of mono are you running?

    Code:
    mono --version
    Ecobee server now requires TLS 1.2, and it looks like it's only supported in mono version 4.8 or later.

    Leave a comment:


  • B1Trash
    replied
    Hi Spud...

    I'm having the same problem. My log file looks eerily similar. Thanks for the help!

    -Jon

    Code:
    DEBUG No authorization. Please go to the config page to authorize
    
    DEBUG System.AggregateException: One or more errors occurred. --->
    System.Threading.Tasks.TaskCanceledException: A task was canceled. ---
    End of inner exception stack trace --- at System.Threading.Tasks.Task.ThrowIfExceptional
    (System.Boolean includeTaskCanceledExceptions) <0x74acd04c + 0x0003c> in :0 at
    System.Threading.Tasks.Task`1[TResult].GetResultCore (System.Boolean waitCompletionNotification)
    <0x74ab4ec0 + 0x00073> in :0 at System.Threading.Tasks.Task`1[TResult].get_Result ()
    <0x74ab4e60 + 0x00027> in :0 at HSPI_Ecobee.WebConfig.postBackProc
    (System.String page, System.String data, System.String user, System.Int32 userRights)
    <0x71fc9ba0 + 0x001a7> in :0 ---> (Inner Exception #0)
    System.Threading.Tasks.TaskCanceledException: A task was canceled.<---
    
    ERROR One or more errors occurred.
    
    DEBUG GET https://api.ecobee.com/authorize?res...xx&format=json

    Leave a comment:


  • mattgam
    replied
    I'm seeing the same error with 3.0.0.26 and 3.0.0.29. I enabled debug logging I see that the plugin has lost its authorization. When I click the button to do the authorization again the page never opens. Is there any way to force the process like a URL that can show me the 4 character auth key to type in to the ecobee site?

    Click image for larger version

Name:	ecobee.jpeg
Views:	15
Size:	53.6 KB
ID:	1255411

    Leave a comment:


  • spud
    replied
    what version of the plugin are you running?

    if not already done, please install version 3.0.0.29 available in the Beta section of the updater

    Leave a comment:

Working...
X